# J2RM (JSON-to-RDF Mappings): Domain Ontology Graph (D.O.G.) Creation

## What is J2RM?

* J2RM is a tool to process mappings from JSON data to RDF triples guided by an OWL2 ontology structure.
* The mappings are defined as annotation properties associated with each ontology entity of interest.
* They are embedded in an ontology file so that they can be readily deployed and shared to automate RDF-graph creation.


## J2RM Architecture
![Architecture](https://github.com/g0-Builder-J2RM/g0-Builder-J2RM/blob/master/J2RM%20-%20Architecture.png)


## Overview Demo
- ISWC 2020 - Posters & Demos Track | KGC Tutorial 2022: [demo video](https://www.youtube.com/watch?v=F3CGGby74OM)


## Related publication
- [J2RM: An ontology-based JSON-to-RDF Mapping tool](http://ceur-ws.org/Vol-2721/paper593.pdf "ISWC 2020 Posters, Demos, and Industry Tracks.  Proceedings of the ISWC 2020 Demos and Industry Tracks: From Novel Ideas to Industrial Practice; co-located with 19th International Semantic Web Conference (ISWC 2020).  Globally online, November 1-6, 2020 (UTC).  Pp. 368-373")


## Contacts
- Sergio Rodriguez <`Sergio.RodriguezMendez [at] anu.edu.au`>


## License
{g0-Builder+J2RM} is publicly available under an MIT license, as specified in the [LICENSE](https://github.com/g0-Builder-J2RM/g0-Builder-J2RM/blob/master/LICENSE) file.